import {getStatusTag} from "utils/statusUtils/Base";

const pending  = { color: "#8F7200", eng: "Pending",   cht: "待辦",   cn: "待办" }   // was #f5a83d
const toBePaid = { color: "#8F7200", eng: "To be Paid", cht: "待付款", cn: "待付款" } // was #f5a83d
const paid     = { color: "#1D8735", eng: "Paid",      cht: "已付款", cn: "已付款" } // was #22a13f

export function getStatus_Cht(params) {
    let status = getStatus(params);
    return status?getStatusTag({color: status.color, textColor:status.textColor, text:status.cht }):"";
}

export function getStatus_Eng(params) {
    let status = getStatus(params);
    return status?getStatusTag({color: status.color, textColor:status.textColor, text:status.eng }):"";
}

export function getStatus_i18n(params, locale) {
    let status = getStatus(params);
    if(locale === 'zh-CN')
        return status?getStatusTag({color: status.color, textColor:status.textColor, text:status.cn }):"";
    if(locale === 'zh-HK')
        return status?getStatusTag({color: status.color, textColor:status.textColor, text:status.cht }):"";
    return status?getStatusTag({color: status.color, textColor:status.textColor, text:status.eng }):"";
}


function getStatus(params) {
    let status = params?.row?params.row.status:params;

    if(status =="pending") return pending;
    if(status == "to be paid") return toBePaid;
    if(status =="paid") return paid;
}

